using NPin.Domain;
using NPin.Framework.AuditLogging.SqlSugarCore;
using NPin.Framework.Mapster;
using NPin.Framework.SqlSugarCore;
using NPin.Framework.TenantManagement.SqlSugarCore;

namespace NPin.SqlSugarCore;

[DependsOn(
    typeof(NPinDomainModule),
    // TODO rbac bbs codegen
    typeof(NPinFrameworkAuditLoggingSqlSugarCoreModule),
    typeof(NPinFrameworkTenantManagementSqlSugarCoreModule),
    //
    typeof(NPinFrameworkMapsterModule),
    typeof(NPinFrameworkSqlSugarCoreModule)
)]
public class NPinSqlSugarCoreModule : AbpModule
{
    public override void ConfigureServices(ServiceConfigurationContext context)
    {
        // context.Services.AddNPinDbContext<NPinDbContext>();
        // 默认不开放，可根据项目需要是否直接对外开放db
        // context.Services.AddTransient(x => x.GetRequiredService<ISqlSugarDbContext>().SqlSugarClient);
    }
}